## python-certbot-dns-digitalocean 4.0.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = certbot-dns-digitalocean
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-certbot-dns-digitalocean 0.22.0

=== debian/changelog ===
python-certbot-dns-digitalocean (0.22.0-1) unstable; urgency=medium

  * Initial release (Closes: #891887).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 17 Mar 2018 11:55:24 -0400

=== debian/control ===
Source: python-certbot-dns-digitalocean
Maintainer: Debian Let's Encrypt Team <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
           Andrew Starr-Bochicchio <asb@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3,
               python3-acme (>= 0.22.0~),
               python3-certbot (>= 0.22.0~),
               python3-digitalocean (>= 1.11~),
               python3-mock,
               python3-setuptools (>= 1.0),
               python3-six,
               python3-sphinx (>= 1.3.1-1~),
               python3-sphinx-rtd-theme,
               python3-zope.interface
Standards-Version: 4.1.3
Homepage: https://certbot.eff.org/
Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-digitalocean.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-digitalocean
Testsuite: autopkgtest-pkg-python

Package: python3-certbot-dns-digitalocean
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: Digitalocean DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This agent is used to:
 .
   - Automatically prove to the Let's Encrypt CA that you control the website
   - Obtain a browser-trusted certificate and set it up on your web server
   - Keep track of when your certificate is going to expire, and renew it
   - Help you revoke the certificate if that ever becomes necessary.
 .
 This package contains the Digitalocean DNS plugin to the main application.

Package: python-certbot-dns-digitalocean-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Documentation for the DigitalOcean DNS plugin for Certbot
 The objective of Certbot, Let's Encrypt, and the ACME (Automated
 Certificate Management Environment) protocol is to make it possible
 to set up an HTTPS server and have it automatically obtain a
 browser-trusted certificate, without any human intervention. This is
 accomplished by running a certificate management agent on the web
 server.
 .
 This package contains the documentation for the Digitalocean DNS plugin to
 the main application.

## python-certbot-dns-digitalocean 0.23.0

=== debian/changelog ===
python-certbot-dns-digitalocean (0.23.0-2ubuntu0ppa1~ubuntu16.04.1) xenial; urgency=medium

  * Build for xenial

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 04 Jun 2018 04:08:27 +0000

python-certbot-dns-digitalocean (0.23.0-2) unstable; urgency=medium

  * Update maintainer email to tracker.d.o team address. (Closes: #899669)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 02 Jun 2018 13:44:02 -0400

python-certbot-dns-digitalocean (0.23.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add an Enhances on certbot.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 07 Apr 2018 16:11:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-certbot-dns-digitalocean
-Maintainer: Debian Let's Encrypt Team <letsencrypt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 9),
                dh-python,
                python3,
                python3-acme (>= 0.22.0~),
@@ -26,7 +27,8 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
-Description: Digitalocean DNS plugin for Certbot
+Enhances: certbot
+Description: DigitalOcean DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated
  Certificate Management Environment) protocol is to make it possible
  to set up an HTTPS server and have it automatically obtain a
@@ -41,7 +43,7 @@
    - Keep track of when your certificate is going to expire, and renew it
    - Help you revoke the certificate if that ever becomes necessary.
  .
- This package contains the Digitalocean DNS plugin to the main application.
+ This package contains the DigitalOcean DNS plugin to the main application.
 
 Package: python-certbot-dns-digitalocean-doc
 Architecture: all
@@ -55,6 +57,6 @@
  accomplished by running a certificate management agent on the web
  server.
  .
- This package contains the documentation for the Digitalocean DNS plugin to
+ This package contains the documentation for the DigitalOcean DNS plugin to
  the main application.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-dns-digitalocean

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

#override_dh_installdocs:
#	dh_installdocs --doc-main-package=python3-certbot-dns-digitalocean \
#		-p python-certbot-dns-digitalocean-doc
#	dh_installdocs -p python3-certbot-dns-digitalocean

## python-certbot-dns-digitalocean 1.3.0

=== debian/changelog ===
python-certbot-dns-digitalocean (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Switch to using a Provides virtual package for ABI management.
  * Require certbot >= 1.1 per setup.py
  * Switch to debhelper-compat
  * Add R-R-R to d/control
  * Bump S-V; no changes needed.
  * Add dep on python3-pytest
  * Switch to using Provides for ABI compatibility.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 27 Apr 2020 19:30:33 -0400

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,34 @@
 Source: python-certbot-dns-digitalocean
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
+Maintainer: Debian Let's Encrypt <team+letsencrypt@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
-               python3-acme (>= 0.22.0~),
-               python3-certbot (>= 0.22.0~),
+               python3-acme-abi-1,
+               python3-certbot-abi-1 (>= 1.1),
                python3-digitalocean (>= 1.11~),
                python3-mock,
+	       python3-pytest,
                python3-setuptools (>= 1.0),
                python3-six,
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-digitalocean.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-digitalocean
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-certbot-dns-digitalocean
 Architecture: all
-Depends: ${python3:Depends},
+Depends: certbot,
+	 python3-certbot-abi-1 (>= 1.1),
+	 ${python3:Depends},
          ${misc:Depends}
 Enhances: certbot
 Description: DigitalOcean DNS plugin for Certbot
@@ -59,4 +62,3 @@
  .
  This package contains the documentation for the DigitalOcean DNS plugin to
  the main application.
-

## python-certbot-dns-digitalocean 1.18.0

=== debian/changelog ===
python-certbot-dns-digitalocean (1.18.0-1) unstable; urgency=medium

  * New upstream version 1.18.0
  * Rectify package dependencies
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 21 Aug 2021 19:07:46 -0400

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,17 @@
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-1,
-               python3-certbot-abi-1 (>= 1.1),
+               python3-acme-abi-1 (>= 1.18),
+               python3-certbot-abi-1 (>= 1.18),
                python3-digitalocean (>= 1.11~),
-               python3-mock,
-	       python3-pytest,
-               python3-setuptools (>= 1.0),
-               python3-six,
+               python3-setuptools (>= 39.0.1~),
                python3-sphinx (>= 1.3.1-1~),
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-digitalocean.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-digitalocean
@@ -27,7 +24,7 @@
 Package: python3-certbot-dns-digitalocean
 Architecture: all
 Depends: certbot,
-	 python3-certbot-abi-1 (>= 1.1),
+	 python3-certbot-abi-1 (>= 1.18),
 	 ${python3:Depends},
          ${misc:Depends}
 Enhances: certbot

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = certbot-dns-digitalocean

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. \
		http_proxy='127.0.0.1:9' \
		https_proxy='127.0.0.1:9' \
		sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-certbot-dns-digitalocean \
		-p python-certbot-dns-digitalocean-doc
	dh_installdocs -p python3-certbot-dns-digitalocean

=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/certbot-dns-digitalocean/certbot-dns-digitalocean-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-certbot-dns-digitalocean 2.0.0

=== debian/changelog ===
python-certbot-dns-digitalocean (2.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository, Repository-Browse.
  * Remove constraints unnecessary since buster

  [ Harlan Lieberman-Berg ]
  * Add new signing keys, see bug #999503
  * Update signing key
  * New upstream version 2.0.0
  * Bump certbot, acme dependencies

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 24 Nov 2022 00:56:37 -0500

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-acme-abi-1 (>= 1.18),
-               python3-certbot-abi-1 (>= 1.18),
-               python3-digitalocean (>= 1.11~),
-               python3-setuptools (>= 39.0.1~),
-               python3-sphinx (>= 1.3.1-1~),
+               python3-acme-abi-2 (>= 2.0),
+               python3-certbot-abi-2 (>= 2.0),
+               python3-digitalocean,
+               python3-setuptools,
+               python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-zope.interface
 Standards-Version: 4.6.0
@@ -24,9 +24,9 @@
 Package: python3-certbot-dns-digitalocean
 Architecture: all
 Depends: certbot,
-	 python3-certbot-abi-1 (>= 1.18),
+	 python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
 	 ${python3:Depends},
-         ${misc:Depends}
+     ${misc:Depends}
 Enhances: certbot
 Description: DigitalOcean DNS plugin for Certbot
  The objective of Certbot, Let's Encrypt, and the ACME (Automated

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_NAME = certbot-dns-digitalocean
 
@@ -16,3 +18,8 @@
 	dh_installdocs --doc-main-package=python3-certbot-dns-digitalocean \
 		-p python-certbot-dns-digitalocean-doc
 	dh_installdocs -p python3-certbot-dns-digitalocean
+
+override_dh_gencontrol:
+	echo "Abi-major-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1 >> debian/abi.substvars
+	echo "Abi-major-minor-version=${DEB_VERSION_UPSTREAM}" | cut -d. -f1,2 >> debian/abi.substvars
+	dh_gencontrol -- -Tdebian/abi.substvars

## python-certbot-dns-digitalocean 4.0.0

=== debian/changelog ===
python-certbot-dns-digitalocean (4.0.0-2) unstable; urgency=medium

  * Team Upload
  * Apply Multi-Arch: hint
  * Drop "Rules-Requires-Root: no": it is now the default
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Use dh-sequence-python3
  * Rewrite d/rules with newer & shorter syntax
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 18:34:30 +0100

python-certbot-dns-digitalocean (4.0.0-1) unstable; urgency=medium

  * d/watch: newer packages use an underscore
  * New upstream version 4.0.0 (Closes: #1106469)
  * Bump dependency requirements

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 May 2025 19:48:45 -0400

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,26 @@
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
            Andrew Starr-Bochicchio <asb@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
-               python3-acme-abi-2 (>= 2.0),
-               python3-certbot-abi-2 (>= 2.0),
+               python3-acme-abi-4 (>= 4.0~),
+               python3-certbot-abi-4 (>= 4.0~),
                python3-digitalocean,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-zope.interface
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
 Homepage: https://certbot.eff.org/
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-digitalocean.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/certbot/certbot-dns-digitalocean
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-certbot-dns-digitalocean
 Architecture: all
 Depends: certbot,
-	 python3-certbot-abi-2 (>= ${Abi-major-minor-version}),
+	 python3-certbot-abi-4 (>= ${Abi-major-minor-version}),
 	 ${python3:Depends},
      ${misc:Depends}
 Enhances: certbot
@@ -47,6 +45,7 @@
 
 Package: python-certbot-dns-digitalocean-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
 Description: Documentation for the DigitalOcean DNS plugin for Certbot

=== debian/rules ===
--- 
+++ 
@@ -5,10 +5,9 @@
 export PYBUILD_NAME = certbot-dns-digitalocean
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=. \
 		http_proxy='127.0.0.1:9' \
 		https_proxy='127.0.0.1:9' \

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/certbot-dns-digitalocean/
Matching-Pattern: certbot_dns_digitalocean-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Pgpsigurlmangle: s/$/.asc/
Uversionmangle: s/(rc|a|b|c)/~$1/
